summaryrefslogtreecommitdiff
path: root/source3/script
diff options
context:
space:
mode:
authorJeremy Allison <jra@samba.org>1997-08-30 01:13:39 +0000
committerJeremy Allison <jra@samba.org>1997-08-30 01:13:39 +0000
commit57408548f3cc717116b5eb3fe7381f0568ac473d (patch)
treeb737f76ab503056b83227f123bc70ce61ae938ba /source3/script
parentd95652780ac67b41b935511cd6dbdf94b3de371e (diff)
downloadsamba-57408548f3cc717116b5eb3fe7381f0568ac473d.tar.gz
samba-57408548f3cc717116b5eb3fe7381f0568ac473d.tar.bz2
samba-57408548f3cc717116b5eb3fe7381f0568ac473d.zip
Adding codepage definition files and codepage file compiler/decompiler.
Adding install/uninstall scripts for compiled codepage files. Preparing for dynamic codepage loading. Jeremy (jallison@whistle.com) (This used to be commit e3fc9533bd87d0d520e3dac98261e42370907b11)
Diffstat (limited to 'source3/script')
-rwxr-xr-xsource3/script/installcp.sh36
-rwxr-xr-xsource3/script/uninstallcp.sh33
2 files changed, 69 insertions, 0 deletions
diff --git a/source3/script/installcp.sh b/source3/script/installcp.sh
new file mode 100755
index 0000000000..bafd84146d
--- /dev/null
+++ b/source3/script/installcp.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+LIBDIR=$1
+CODEPAGEDIR=$2
+BINDIR=$3
+
+shift
+shift
+shift
+
+echo Installing codepage files in $CODEPAGEDIR
+for d in $LIBDIR $CODEPAGEDIR; do
+if [ ! -d $d ]; then
+mkdir $d
+if [ ! -d $d ]; then
+ echo Failed to make directory $d
+ exit 1
+fi
+fi
+done
+
+for p in $*; do
+ echo Creating codepage file $CODEPAGEDIR/codepage.$p from codepage_def.$p
+ $BINDIR/make_smbcodepage c $p codepage_def.$p $CODEPAGEDIR/codepage.$p
+done
+
+
+cat << EOF
+======================================================================
+The code pages have been installed. You may uninstall them using the command
+the command "make uninstallcp" or make "uninstall" to uninstall binaries,
+man pages, shell scripts and code pages.
+======================================================================
+EOF
+
+exit 0
+
diff --git a/source3/script/uninstallcp.sh b/source3/script/uninstallcp.sh
new file mode 100755
index 0000000000..bd7013c358
--- /dev/null
+++ b/source3/script/uninstallcp.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+CPDIR=$1
+shift
+
+if [ ! -d $CPDIR ]; then
+ echo Directory $CPDIR does not exist!
+ echo Do a "make installcp" or "make install" first.
+ exit 1
+fi
+
+for p in $*; do
+ if [ ! -f $CPDIR/codepage.$p ]; then
+ echo $CPDIR/codepage.$p does not exist!
+ else
+ echo Removing $CPDIR/codepage.$p
+ rm -f $CPDIR/codepage.$p
+ if [ -f $CPDIR/codepage.$p ]; then
+ echo Cannot remove $CPDIR/codepage.$p... does $USER have privileges?
+ fi
+ fi
+done
+
+cat << EOF
+======================================================================
+The code pages have been uninstalled. You may reinstall them using
+the command "make installcp" or "make install" to install binaries,
+man pages, shell scripts and code pages. You may recover a previous version
+(if any with "make revert").
+======================================================================
+EOF
+
+exit 0